Liquidate
The "Liquidate" endpoint allows customers to liquidate a fixed deposit account, either fully or in part.
POST /api/fixeddepositaccount/v1/liquidate
To liquidate a fixed deposit, you need to provide the necessary body parameters, such as accountNumber, liquidationType, and other relevant details.
Headers
Content-Type*
application/json
Authorization*
Bearer
Request-Reference*
{unique_reference}
Body
accountNumber
string (50)
This is the Savings Account that will be debited. This is not the Liquidation Account.
liquidationAmount
number
The amount to be liquidated. The amount should be sent in the base unit of the currency. For example, 1000 naira will be sent as 1000 * 100. (This is Required if liquidationType = PartLiquidation)
partLiquidationFee
number
The percentage fee applied if there is a Pre-Liquidation Fee. If there is a Pre-Liquidation Fee, it should be passed here.
liquidationType
Enum (FullLiquidation = 1, PartLiquidation = 2)
The type of liquidation to be performed. If it is FullLiquidation, the full Principal will be liquidated and the Savings account will close, liquidationAmount is not required. For PartLiquidation, only an amount not greater than or equal to the Savings balance is accepted, and liquidationAmount is required.
Here is an example request and response with a sample payload sent to the endpoint in Curl format.
Last updated